<?php
/**
 * @package Archaeology Museums 
 * Setup the WordPress core custom header feature.
 *
 * @uses archaeology_museums_header_style()
*/
function archaeology_museums_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'archaeology_museums_custom_header_args', array(
		'header-text' 			 =>	false,
		'width'                  => 1200,
		'height'                 => 70,
		'flex-width'    		 => true,
		'flex-height'    		 => true,
		'wp-head-callback'       => 'archaeology_museums_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'archaeology_museums_custom_header_setup' );

if ( ! function_exists( 'archaeology_museums_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see archaeology_museums_custom_header_setup().
 */
add_action( 'wp_enqueue_scripts', 'archaeology_museums_header_style' );

function archaeology_museums_header_style() {
	if ( get_header_image() ) :
	$custom_css = "
        .home-page-header .main-topbar, .page-template-custom-home-page .home-page-header .main-topbar:after{
			background-image:url('".esc_url(get_header_image())."');
			background-position: center top;
		    background-size: cover;
		}";
	   	wp_add_inline_style( 'archaeology-museums-basic-style', $custom_css );
	endif;
}
endif;